import { ChangeMap, HPCCResizeElement, WebComponent } from "@hpcc-js/wc-core";
export declare class HPCCObservableElement extends HPCCResizeElement {
    /**
     * Default mode, Observable script with embedded Markdown, or Markdown with
     * embedded Observable script
     *
     * @typeParam observablescript - Observable script with embedded Markdown
     * @typeParam markdown - Markdown with embedded Observable script
     *
     * @defaultValue observablescript
     */
    mode: "observablescript" | "markdown";
    /**
     * Show or hide intermediate values (values which typically are not `viewof` values)
     *
     * @defaultValue false
     */
    show_values: boolean;
    /**
     * Show or hide errors, enable to assist with non functioning scripts
     *
     * @defaultValue false
     */
    show_errors: boolean;
    /**
     * Plugins expose JavaScript functions to the Observable script
     *
     * @defaultValue \{\}
     */
    plugins: {
        [key: string]: object;
    };
    _content: string;
    protected _div: HTMLDivElement;
    protected _slot: HTMLSlotElement;
    constructor();
    private construct;
    enter(): void;
    update(changes: ChangeMap<this>): void;
}
declare global {
    namespace JSX {
        interface IntrinsicElements {
            ["hpcc-observable"]: WebComponent<HPCCObservableElement>;
        }
    }
}
//# sourceMappingURL=observable.d.ts.map